







<!-- <div class="content d-flex flex-column flex-column-fluid" id="kt_content"> -->
        <!--begin::Subheader-->
        <!-- <div class="subheader py-2 py-lg-4 subheader-solid" id="kt_subheader"> -->
          <!-- <div class="container-fluid d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap"> -->
            <!--begin::Info-->
            <!-- <div class="d-flex align-items-center flex-wrap mr-1"> -->
              <!--begin::Page Heading-->
              <!-- <div class="d-flex align-items-baseline mr-5"> -->
                <!--begin::Page Title-->
                <!-- <h5 class="text-dark font-weight-bold my-2 mr-5">{{'profil.title' | translate}}</h5> -->
                <!--end::Page Title-->
                <!--begin::Breadcrumb-->

                <!--end::Breadcrumb-->
              <!-- </div> -->
              <!--end::Info-->
              <!--end::Page Heading-->
            <!-- </div> -->
            <!--begin::Toolbar-->
            <!-- <div class="d-flex align-items-center"> -->
              <!--begin::Actions-->


              <!--end::Actions-->
              <!--begin::Dropdown-->

              <!--end::Dropdown-->
            <!-- </div> -->
            <!--end::Toolbar-->
          <!-- </div> -->
        <!-- </div> -->
        <!--end::Subheader-->
        <!--begin::Entry-->
        <!-- <div class="d-flex flex-column-fluid"> -->
          <!--begin::Container-->
          <!-- <div class="container">

                <div class="row">

                        <div class="col-md-6">


                            <div class="card card-custom mt-3" [ngClass]="cssClasses"> -->
                                    <!-- Header -->
                                    <!-- <div class="card-header border-0 pt-5">
                                        <h3 class="card-title align-items-start flex-column">
                                            {{'profil.set_password' | translate}}
                                        </h3>
                                        <div class="card-toolbar">
                                            <ul class="nav nav-pills ml-4 nav-pills-sm nav-dark-75">
                                                <li class="nav-item">

                                                </li>
                                                <li class="nav-item">
                                                </li>

                                            </ul>
                                        </div>
                                    </div>
                                    <-- Body -->
                                    <!-- <div class="card-body pt-3 pb-0">
                                    <form #resetForm="ngForm" (ngSubmit)="resetPassword(resetForm.value)">
                                            <div *ngIf="error" class="alert alert-danger my-1 alert-rounded">
                                                {{error}}
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">×</span> </button>
                                            </div>
                                            <div class="form-group">
                                                <label >  {{'profil.last_password' | translate}}</label>
                                                <input class="form-control" placeholder="Entrer votre ancien mot de passe" #last_pass="ngModel" type="password" required  name="old_password" ngModel>
                                                <span *ngIf="last_pass.invalid && (last_pass.dirty || last_pass.touched)" class="text-danger">
                                                    <small *ngIf="last_pass.errors?.required">
                                                        {{'profil.last_password' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                </span>
                                            </div>
                                            <div class="form-group">
                                                <label >  {{'profil.new_password' | translate}}</label>
                                                <input class="form-control" placeholder="Entrer votre nouveau mot de passe" #password="ngModel" type="password" required  name="new_password" ngModel>
                                                <span *ngIf="password.invalid && (password.dirty || password.touched)" class="text-danger">
                                                    <small *ngIf="password.errors?.required">
                                                        {{'profil.new_password' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                </span>
                                            </div>
                                            <div class="form-group">
                                                <label >  {{'profil.confirm_password' | translate}}</label>
                                                <input class="form-control" placeholder="Confirmer le nouveau mot de passe" #c_password="ngModel" type="password" required  name="new_password_conf" ngModel>
                                                <span *ngIf="c_password.invalid && (c_password.dirty || c_password.touched)" class="text-danger">
                                                    <small *ngIf="c_password.errors?.required">
                                                        {{'profil.confirm_password' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                </span>
                                            </div>
                                            <div class="form-group">
                                                <button class="btn btn-outline-dark" type="submit" >  {{'global.save' | translate}}</button>

                                            </div>
                                    </form>
                                    </div>

                            </div>

                        </div>

                        <div class="col-md-6" >

                                <div class="card card-custom" [ngClass]="cssClasses"> -->
                                    <!-- Header -->
                                    <!-- <div class="card-header border-0 pt-5">
                                        <h3 class="card-title align-items-start flex-column">
                                            {{'profil.general_info' | translate}}
                                        </h3>
                                        <div class="card-toolbar">
                                            <ul class="nav nav-pills ml-4 nav-pills-sm nav-dark-75">
                                                <li class="nav-item">

                                                </li>
                                                <li class="nav-item">
                                                </li>

                                            </ul>
                                        </div>
                                    </div> -->
                                    <!-- Body -->
                                    <!-- <div class="card-body pt-3 pb-0">
                                    <form #userForm="ngForm" (ngSubmit)="updateUser(userForm.value)">
                                            <div *ngIf="error" class="alert alert-danger my-1 alert-rounded">
                                                {{error}}
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"> <span aria-hidden="true">×</span> </button>
                                            </div>
                                            <div class="form-group">
                                                    <label >{{'profil.replace_avatar' | translate}}</label>
                                                    <input class="form-control" #replace_avatar="ngModel"  accept="image/*" type="file" (change)="onFileChange($event)"   name="replace_avatar" ngModel>
                                                    <span *ngIf="replace_avatar.invalid && (replace_avatar.dirty || replace_avatar.touched)" class="text-danger">

                                                    </span>
                                            </div>

                                            <div class="form-group">
                                                    <label > {{'account.lastname' | translate}}</label>
                                                    <input class="form-control" #last_name="ngModel" required  name="last_name" [(ngModel)]="user.last_name">
                                                    <span *ngIf="last_name.invalid && (last_name.dirty || last_name.touched)" class="text-danger">
                                                    <small *ngIf="last_name.errors?.required">
                                                        {{'account.lastname' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                    </span>
                                            </div>
                                            <div class="form-group">
                                                    <label > {{'account.firstname' | translate}}</label>
                                                    <input class="form-control" #first_name="ngModel" required  name="first_name" [(ngModel)]="user.first_name">
                                                    <span *ngIf="first_name.invalid && (first_name.dirty || first_name.touched)" class="text-danger">
                                                    <small *ngIf="first_name.errors?.required">
                                                        {{'account.firstname' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                    </span>
                                            </div>
                                            <div class="form-group">
                                                <label > {{'global.email' | translate}}</label>
                                                <input class="form-control" placeholder="Entrer votre nouveau mail" #email="ngModel" type="email" required  name="email" [(ngModel)]="user.email">
                                                <span *ngIf="email.invalid && (email.dirty || email.touched)" class="text-danger">
                                                    <small *ngIf="email.errors?.required">
                                                        {{'global.email' | translate}} {{'global.is_require' | translate}}
                                                    </small>
                                                </span>
                                            </div>
                                            <div class="form-group">
                                                <label > {{'global.phone' | translate}}</label>
                                                <input class="form-control" #phone="ngModel" required  type="number" name="phone" [(ngModel)]="user.phone">
                                                <span *ngIf="phone.invalid && (phone.dirty || phone.touched)" class="text-danger">
                                                <small *ngIf="phone.errors?.required">
                                                    {{'global.phone' | translate}} {{'global.is_require' | translate}}
                                                </small>
                                                </span>
                                            </div>

                                            <div class="form-group">
                                                <button class="btn btn-outline-dark" type="submit" > {{'global.save' | translate}}</button>

                                            </div>

                                    </form>
                                    </div>

                                </div>

                        </div>
                </div>

          </div> -->
          <!--end::Container-->
        <!-- </div> -->
        <!--end::Entry-->
      <!-- </div> -->



      <!--begin::Entry-->
      <div class="d-flex flex-column-fluid">
        <!--begin::Container-->
        <div class="container">
          <!--begin::Profile Personal Information-->
          <div class="d-flex flex-row">
            <!--begin::Aside-->
            <div class="flex-row-auto offcanvas-mobile w-250px w-xxl-350px" id="kt_profile_aside">
              <!--begin::Profile Card-->
              <div class="card card-custom card-stretch">
                <!--begin::Body-->
                <div class="card-body pt-4">
                  <!--begin::Toolbar-->
                  <div class="d-flex justify-content-end">
                    <div class="dropdown dropdown-inline">
                      <a href="#" class="btn btn-clean btn-hover-light-primary btn-sm btn-icon" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="ki ki-bold-more-hor"></i>
                      </a>
                    </div>
                  </div>
                  <!--end::Toolbar-->
                  <!--begin::User-->
                  <div class="d-flex align-items-center">
                    <div class="symbol symbol-60 symbol-xxl-100 mr-5 align-self-start align-self-xxl-center">
                      <div *ngIf="user.profil_image === null"  class="symbol-label" style="background-image:url('assets/media/users/300_21.jpg')"></div>
                      <div *ngIf="user.profil_image !== null" class="symbol-label" [style]="'background-image:url('+user.profil_image+')'"></div>
                      <i class="symbol-badge bg-success"></i>
                    </div>
                    <div>
                      <a href="#" class="font-weight-bolder font-size-h5 text-dark-75 text-hover-primary">{{user.first_name | translate}} {{ user.last_name | translate}}</a>
                      <div class="text-muted">Administrateur</div>
                    </div>
                  </div>
                  <!--end::User-->
                  <!--begin::Contact-->
                  <div class="py-9">
                    <div class="d-flex align-items-center justify-content-between mb-2">
                      <span class="font-weight-bold mr-2">Email:</span>
                      <a href="#" class="text-muted text-hover-primary">{{user.email | translate}}</a>
                    </div>
                  </div>
                  <!--end::Contact-->
                  <!--begin::Nav-->
                  <div class="navi navi-bold navi-hover navi-active navi-link-rounded">
                    <div class="navi-item mb-2">
                      <a href="custom/apps/profile/profile-1/personal-information.html" class="navi-link py-4 active">
                        <span class="navi-icon mr-2">
                          <span class="svg-icon">
                            <!--begin::Svg Icon | path:assets/media/svg/icons/General/User.svg-->
                            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                              <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                                <polygon points="0 0 24 0 24 24 0 24" />
                                <path d="M12,11 C9.790861,11 8,9.209139 8,7 C8,4.790861 9.790861,3 12,3 C14.209139,3 16,4.790861 16,7 C16,9.209139 14.209139,11 12,11 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" />
                                <path d="M3.00065168,20.1992055 C3.38825852,15.4265159 7.26191235,13 11.9833413,13 C16.7712164,13 20.7048837,15.2931929 20.9979143,20.2 C21.0095879,20.3954741 20.9979143,21 20.2466999,21 C16.541124,21 11.0347247,21 3.72750223,21 C3.47671215,21 2.97953825,20.45918 3.00065168,20.1992055 Z" fill="#000000" fill-rule="nonzero" />
                              </g>
                            </svg>
                            <!--end::Svg Icon-->
                          </span>
                        </span>
                        <span class="navi-text font-size-lg">Information personnel</span>
                      </a>
                    </div>

                  </div>
                  <!--end::Nav-->
                </div>
                <!--end::Body-->
              </div>
              <!--end::Profile Card-->
            </div>
            <!--end::Aside-->
            <!--begin::Content-->
            <div class="flex-row-fluid ml-lg-8">
               <!--begin::Form-->
               <form #userForm="ngForm" (ngSubmit)="updateUser(userForm.value)">
              <!--begin::Card-->
              <div class="card card-custom card-stretch">
                <!--begin::Header-->
                <div class="card-header py-3">
                  <div class="card-title align-items-start flex-column">
                    <h3 class="card-label font-weight-bolder text-dark">Information personnel</h3>
                    <span class="text-muted font-weight-bold font-size-sm mt-1">Mettre à jour vos information personnel </span>
                  </div>
                  <div class="card-toolbar">
                    <button type="submit" class="btn btn-success mr-2">Sauvegarde</button>
                    <button type="reset" class="btn btn-secondary">Supprimer</button>
                  </div>
                </div>
                <!--end::Header-->
                <div class="form">

                  <!--begin::Body-->
                  <div class="card-body">
                    <div class="row">
                      <label class="col-xl-3"></label>
                      <div class="col-lg-9 col-xl-6">
                        <h5 class="font-weight-bold mb-6">Information</h5>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-xl-3 col-lg-3 col-form-label text-right">Image</label>
                      <div class="col-lg-9 col-xl-6">
                        <div class="image-input image-input-outline image-input-changed"
                            id="kt_profile_avatar">
                            <div *ngIf="!urls" class="image-input-wrapper" name="file"
                                [style]="'background-image: url(&quot;'+urls+'&quot;);'"></div>
                            <div *ngIf="urls" class="image-input-wrapper"
                                [ngStyle]="{'background-image': 'url(' + urls?.result + ')'}"></div>
                            <label
                                class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                                data-action="change" data-toggle="tooltip" title=""
                                data-original-title="Change image">
                                <i class="fa fa-pen icon-sm text-muted"></i>
                                <input type="file" (change)="onFileChange($event)" name="bookCover"
                                    id="bookCover" accept=".png, .jpg, .jpeg">
                                <input type="hidden" name="file_book_remove">
                            </label>
                            <span (click)="removeLogo()"
                                class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                                data-action="cancel" data-toggle="tooltip" title=""
                                data-original-title="Cancel add">
                                <i class="ki ki-bold-close icon-xs text-muted"></i>
                            </span>
                            <span
                                class="btn btn-xs btn-icon btn-circle btn-white btn-hover-text-primary btn-shadow"
                                data-action="remove" data-toggle="tooltip" title=""
                                data-original-title="Remove file">
                                <i class="ki ki-bold-close icon-xs text-muted"></i>
                            </span>
                        </div>
                        <span class="form-text text-muted">Allowed file types: pdf, epub, ebook.</span>
                    </div>
                </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-xl-3 col-lg-3 col-form-label text-right">Prénom</label>
                      <div class="col-lg-9 col-xl-6">
                        <input class="form-control form-control-lg form-control-solid" type="text" name="first_name" [(ngModel)]="user.first_name" #first_name="ngModel"/>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-xl-3 col-lg-3 col-form-label text-right">Nom</label>
                      <div class="col-lg-9 col-xl-6">
                        <input class="form-control form-control-lg form-control-solid" type="text" value="Bold" name="last_name" [(ngModel)]="user.last_name" #last_name="ngModel" />
                      </div>
                    </div>

                    <div class="row">
                      <label class="col-xl-3"></label>
                      <div class="col-lg-9 col-xl-6">
                        <h5 class="font-weight-bold mt-10 mb-6">Contact</h5>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-xl-3 col-lg-3 col-form-label text-right">Telephone</label>
                      <div class="col-lg-9 col-xl-6">
                        <div class="input-group input-group-lg input-group-solid">
                          <div class="input-group-prepend">
                            <span class="input-group-text">
                              <i class="la la-phone"></i>
                            </span>
                          </div>

                          <input type="text"  class="form-control form-control-lg form-control-solid"  name="phone" [(ngModel)]="user.phone" #phone="ngModel" placeholder="Phone" />
                        </div>
                        <span class="form-text text-muted">Nous ne partageront jamais votre e-mail avec une tiers personne.</span>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-xl-3 col-lg-3 col-form-label text-right">Adresse email</label>
                      <div class="col-lg-9 col-xl-6">
                        <div class="input-group input-group-lg input-group-solid">
                          <div class="input-group-prepend">
                            <span class="input-group-text">
                              <i class="la la-at"></i>
                            </span>
                          </div>
                          <input type="text" disabled class="form-control form-control-lg form-control-solid" name="email" [(ngModel)]="user.email" #email="ngModel" placeholder="Email" />
                        </div>
                      </div>
                    </div>
                  </div>
                  <!--end::Body-->

              </div>
              <!-- </div> -->
            </form>
            <!--end::Form-->
            </div>
            <!--end::Content-->
          </div>
          <!--end::Profile Personal Information-->
        </div>
        <!--end::Container-->
      </div>
      <!--end::Entry-->



